glookbib(1)

Name
glookbib - search bibliographic databases

Synopsis
glookbib [-i string] [-t n] file ...
glookbib --help
glookbib -v
glookbib --version

Description
glookbib writes a prompt to the standard error stream (unless the standard input stream is not a terminal), reads from the standard input a line containing a set of keywords, searches each bibliographic database file for references containing those keywords, writes any references found to the standard output stream, and repeats this process until the end of input. For each database file to be searched, if an index file.i created by gindxbib(1) exists, then it will be searched instead; each index can cover multiple databases.

Options
--help displays a usage message, while -v and --version show version information; all exit afterward.

-i string
    When searching files for which no index exists, ignore the contents of fields whose names are in string.

-t n
    Require only the first n characters of keys to be given. The default is 6.

Files

file.i
    Index files.

See also
“Some Applications of Inverted Indexes on the Unix System”, by M. E. Lesk, 1978, AT&T Bell Laboratories Computing Science Technical Report No. 69.

grefer(1), lkbib(1), gindxbib(1)